Redmine - Defect #8302
Wrong columns displayed on Issue list
2011-05-05 20:07 - anonymous incognito

Status: Closed Start date: 2011-05-05
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

Ticking/unticking any of the columns in the "Administration” > "Settings" > "Issue tracking" > "Default columns displayed on the issue
list" does not yield the desirable effect, i.e. the columns do not change (for example, unchecking ALL columns does not remove any of
them).
| followed the guide at http://www.redmine.org/projects/redmine/wiki/Redminelnstall
The software installed is as follows:
- Apache 2.2.17
- MySQL 5.5
- Ruby 1.8.7
- Rails 2.3.5
- Rack 1.0.1
- Rake 0.8.7
- 118n0.4.2
and Redmine 1.1.3
| did notice that RubyGems is 1.5.2 (it came bundled with Ruby 1.8.7) though the install page says "Rails 2.3.5 will fail with
RubyGems 1.5.0 and later", but there's nothing failing, just this one thing not working.

Any suggestions on how | could fix this? Maybe | just need to modify some .rb file?

Related issues:
Duplicates Redmine - Feature # 12005: Mightful workflow field enhancement: hide New

History

#1 - 2011-05-07 18:15 - anonymous incognito

Can it really be that NOBODY has ever noticed this problem and can't say anything about it?

#2 - 2011-05-17 12:02 - Etienne Massip

Can't reproduce.

Unticking ALL columns makes no sense, does it ?

#3 - 2011-05-18 19:42 - anonymous incognito

Ahh, great, seems that that setting affects only the columns displayed in "redmine/projectName/issues", not the visible fields in

"redmine/projectName/issues/new"... So there's no way to disable some of the fields visible when creating a new issue?

#4 - 2011-05-18 21:21 - Etienne Massip
http://www.redmine.org/projects/redmine/wiki/RedmineInstall

Do you mean #7955 ?

#5 - 2011-05-19 19:39 - anonymous incognito

Not quite; | don't care about custom fields or user roles, there is no possibility to disable the default ones.

| noticed there have been discussions about this issue for more than a year already, but nobody seems to care...

#6 - 2013-03-18 10:45 - Anonymous

I think the title of this issue is misleading. What you really seem to want is to hide fields from the "New issues" form, perhaps even hide some entries

completely and for all use cases.

The latter is now possible for various of the standard issue fields, e.g. those related to time logging (which is great for those of us who don't want to

use the time logging features).

In general, patch #12005 might be of help, too.

#7 - 2013-03-18 11:20 - Daniel Felix

- Category set to Issues workflow

- Status changed from New to Closed

- Resolution set to Duplicate

Yes your right. This could be solved by #12005 after its implementation which is hopefully not so far away. ;-)

I'm closing this issue in favor of #12005 and add a relation to it.

Thanks for pointing this out.

#8 - 2013-08-07 13:51 - kani mambo

Try move to top the first tracker you desire to show @ administration->trackers. Solved my problem so far.
